Subject: RE: Bug Report: File globbing in CMD shell
From: "Henry Gessau" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 10 Jun 1999 14:43:02 -0400

Hmmm. That doesn't quite make sense either. I tried the same thing on
Solaris:

$ ls tmpdir/*
tmpdir/tmp.txt
$ ls tmpdir\*
tmpdir*: No such file or directory
$ ls tmpdir\\*
ls: No match.
$ ls tmpdir\tmp.txt
tmpdirtmp.txt: No such file or directory

Note the difference between the fourth example above and the fourth example
below. It looks like Cygwin is trying to accommodate the DOS backslash path
separator when invoked from CMD.EXE, but it is not very logical when the
argument contains an asterisk.

My opinion is that backslash should not quote the next character when using
CMD.EXE (at least there should be an option for specifying this).

I would like to have a look at the file globbing code - any hints as to
where I might find it? (I have not delved into the Cygwin sources before.)

--
Henry

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, June 10, 1999 2:18 PM
> To: Henry Gessau
> Cc: [email-masked]
> Subject: Re: Bug Report: File globbing in CMD shell
>
>
> Cygwin is a UNIX emulation product, so backslashes quote the following
> character as they do under UNIX.
>
> cgf
>
> On Thu, Jun 10, 1999 at 11:10:18AM -0400, Henry Gessau wrote:
> >D:\Henry>ls tmpdir/*
> >tmpdir/tmp.txt
> >
> >D:\Henry>ls tmpdir\*
> >ls: tmpdir*: No such file or directory
> >
> >D:\Henry>ls tmpdir\\*
> >ls: tmpdir\*: No such file or directory
> >
> >D:\Henry>ls tmpdir\tmp.txt
> >tmpdir\tmp.txt
> >
> >------------------------------------------------------------------
> >
> >Cygwin beta 20.1 (usertools.exe)
> >WinNT Ver 4.0 build 1381 Service Pack 4
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]